
After eventually recovering from the Septicemia, I had a friend, who'd come often to visit, say to me, 'I know you're gonna think I'm crazy, but do you remember anywhere you may have went, because there'd be times you would be in so much pain and distress and before the nurse would come in to give you something, all of a sudden you'd completely relax and it was like you weren't with us'. To which I responded, 'Yes' and told her my experience.

I had septicemia very bad and my doctor and nephrologist had come in to tell me they had done everything medically possible. Without divine intervention they didn't expect me to make it and if I had family that needed to be called, they needed to be called now. I continued to deteriorate.

Yet there'd be times I'd find myself in this beautiful meadow with a big sprawling tree in it. The grass was tall and there were beautiful flowers: unusually colored, not bright but not dull, all throughout this meadow. My younger brother, William, who died at age 18 from Ewing Sarcoma would be there but a lot of the time we'd be entities, not in human form, but I'd know it was him and we communicated without speaking. We'd run and play like little children and sometimes we'd just be under the tree. I remember him telling me that we still had to work in Heaven and that his job was being a comforting spirit to children with cancer and that was why he had cancer. This made sense to me.

One time that I was there in the meadow, a person approached me, so I went toward him. He wore long flowing white robes. I remember the closer I got to him the more I felt, strongly, that I was going home. That feeling was very strong, going back to where my soul belonged. He spoke to me, knew my name, and gave me a choice to come with him or stay. I immediately began to think about the scrapbooks I hadn't finished for my children and things for my parents and my closest friends. It was truly an internal battle because of that strong feeling that to go with him would truly be going home. But the thoughts of all that I hadn't finished, so those I loved would always know how very much I loved them, kept penetrating my thoughts and in the end I chose to stay and finish those.

After that decision, I never was able to visit my meadow and I started actually recovering. I remember where the meadow ended, where the man in robes came from, and the white and billowy clouds. Whereas, the meadow was the tall grass and beautiful flowers that were unlike any colors I'd ever seen. The meadow had a soft light but there was no sun. There was so much peace there. It didn't seem to surprise me that there were many times, neither I nor my brother were in true human form but were more like entities. I never once felt frightened. I felt the feeling of absolute love coming from the man in the robes. It was as powerful as was the feeling of my soul returning home if I went with him.
